/****************************************************************************/
/* GE82 ( DB定義書管理ﾃｰﾌﾞﾙ )                                               */
/*                                                                          */
/* Created : 2021/06/29 13:33:26                                            */
/****************************************************************************/

CREATE TABLE GE82 (
   SYSTEM_ID        VARCHAR (   10 )                    NOT NULL            /*  1 ｼｽﾃﾑID        */
 , TBLSYU           VARCHAR (    1 )                    NOT NULL            /*  2 ﾃｰﾌﾞﾙ種別     */
 , KBTBL            VARCHAR (    1 )        DEFAULT '0' NOT NULL            /*  3 ﾃｰﾌﾞﾙ区分     */
 , TABLE_NAME       VARCHAR (   50 )                    NOT NULL            /*  4 ﾃｰﾌﾞﾙ名       */
 , NAME_JA          VARCHAR (  200 )                                        /*  5 名称          */
 , SEQNO            INTEGER                 DEFAULT 0   NOT NULL            /*  6 表示順        */
 , CLM_NAME         VARCHAR (  120 )                                        /*  7 項目名(漢字)  */
 , CLM              VARCHAR (   50 )                    NOT NULL            /*  8 項目          */
 , CLS_NAME         VARCHAR (   10 )                    NOT NULL            /*  9 DBｸﾗｽ         */
 , VIEW_LENGTH      VARCHAR (   10 )                                        /* 10 表示桁数      */
 , USE_LENGTH       VARCHAR (    9 )                                        /* 11 使用桁数      */
 , UK               VARCHAR (    2 )                                        /* 12 ﾕﾆｰｸｷｰ        */
 , LUK              VARCHAR (    2 )                                        /* 13 論理ﾕﾆｰｸｷｰ    */
 , IXA              VARCHAR (    2 )                                        /* 14 ｲﾝﾃﾞｯｸｽA      */
 , IXB              VARCHAR (    2 )                                        /* 15 ｲﾝﾃﾞｯｸｽB      */
 , IXC              VARCHAR (    2 )                                        /* 16 ｲﾝﾃﾞｯｸｽC      */
 , IXD              VARCHAR (    2 )                                        /* 17 ｲﾝﾃﾞｯｸｽD      */
 , IXE              VARCHAR (    2 )                                        /* 18 ｲﾝﾃﾞｯｸｽE      */
 , IXF              VARCHAR (    2 )                                        /* 19 ｲﾝﾃﾞｯｸｽF      */
 , IXG              VARCHAR (    2 )                                        /* 20 ｲﾝﾃﾞｯｸｽG      */
 , IXH              VARCHAR (    2 )                                        /* 21 ｲﾝﾃﾞｯｸｽH      */
 , IXI              VARCHAR (    2 )                                        /* 22 ｲﾝﾃﾞｯｸｽI      */
 , IXJ              VARCHAR (    2 )                                        /* 23 ｲﾝﾃﾞｯｸｽJ      */
 , IXK              VARCHAR (    2 )                                        /* 24 ｲﾝﾃﾞｯｸｽK      */
 , NOT_NULL         VARCHAR (    1 )                                        /* 25 ﾉｯﾄﾇﾙ         */
 , RENDERER         VARCHAR (   10 )                                        /* 26 表示種別      */
 , EDITOR           VARCHAR (   10 )                                        /* 27 編集種別      */
 , DBTYPE           VARCHAR (   10 )                                        /* 28 文字種別      */
 , DATA_DEFAULT     VARCHAR (  200 )                                        /* 29 初期値        */
 , KBCLM            VARCHAR (    1 )        DEFAULT '0' NOT NULL            /* 30 ｶﾗﾑ区分       */
 , BIKO             VARCHAR ( 2000 )                                        /* 31 備考          */
 , CDKH             VARCHAR (    1 )                                        /* 32 改廃ｺｰﾄﾞ      */
 , COMMENTS         VARCHAR (  500 )                                        /* 33 ｺﾒﾝﾄ          */
 , UNIQ             BIGINT                              NOT NULL            /* 34 ﾕﾆｰｸｷｰ        */
 , FGJ              VARCHAR (    1 )        DEFAULT '1' NOT NULL            /* 35 状態ﾌﾗｸﾞ      */
 , DYSET            VARCHAR (   14 )                                        /* 36 登録日時      */
 , PGSET            VARCHAR (   10 )                                        /* 37 作成PG        */
 , PGPSET           VARCHAR (   10 )                                        /* 38 作成親PG      */
 , USRSET           VARCHAR (   10 )                                        /* 39 作成者        */
 , DYUPD            VARCHAR (   14 )                                        /* 40 更新日時      */
 , PGUPD            VARCHAR (   10 )                                        /* 41 更新PG        */
 , PGPUPD           VARCHAR (   10 )                                        /* 42 更新親PG      */
 , USRUPD           VARCHAR (   10 )                                        /* 43 更新者        */
 , LABEL_CLM        VARCHAR (   50 )                                        /* 44 ﾗﾍﾞﾙｶﾗﾑ       */
 , CODE_CLM         VARCHAR (   50 )                                        /* 45 ｺｰﾄﾞｶﾗﾑ       */
 , RENDERER_PARAM   VARCHAR (  500 )                                        /* 46 表示ﾊﾟﾗﾒｰﾀ    */
 , EDITOR_PARAM     VARCHAR (  500 )                                        /* 47 編集ﾊﾟﾗﾒｰﾀ    */
 , TYPE_PARAM       VARCHAR (  200 )                                        /* 48 文字ﾊﾟﾗﾒｰﾀ    */
 , KBSAKU           VARCHAR (    1 )                                        /* 49 作成区分      */
 , SUBSYS           VARCHAR (  200 )                                        /* 50 ｻﾌﾞｼｽﾃﾑ       */
 , RELEASE_NOTES    VARCHAR (  120 )                                        /* 51 ﾘﾘｰｽﾉｰﾄ       */
 , RDC_CODE         VARCHAR (   20 )                                        /* 52 設変番号      */
);


CREATE SEQUENCE GE82S00 ;


CREATE TRIGGER GE82T00 FOR GE82
  BEFORE INSERT AS 
  BEGIN 
    NEW.UNIQ = GEN_ID( GE82S00,1 );
  END; 

