/****************************************************************************/
/* GE32 ( 送信履歴ﾃｰﾌﾞﾙ )                                                   */
/*                                                                          */
/* Created : 2021/06/29 13:32:29                                            */
/****************************************************************************/

CREATE TABLE GE32 (
   YKNO         NUMBER   (    9 )       DEFAULT 0   NOT NULL            /*  1 要求NO    */
 , PARA_KEY     VARCHAR2 (    9 )                                       /*  2 ﾊﾟﾗﾒｰﾀｷｰ  */
 , PTN_ID       VARCHAR2 (   20 )                                       /*  3 定型文ID  */
 , SYSTEM_ID    VARCHAR2 (   10 )                   NOT NULL            /*  4 ｼｽﾃﾑID    */
 , FROM_ADDR    VARCHAR2 (  100 )                   NOT NULL            /*  5 送信元    */
 , TITLE        VARCHAR2 (  300 )                                       /*  6 ﾀｲﾄﾙ      */
 , CONTENTS     VARCHAR2 ( 4000 )                                       /*  7 内容      */
 , ATTACH1      VARCHAR2 (  256 )                                       /*  8 添付1     */
 , ATTACH2      VARCHAR2 (  256 )                                       /*  9 添付2     */
 , ATTACH3      VARCHAR2 (  256 )                                       /* 10 添付3     */
 , ATTACH4      VARCHAR2 (  256 )                                       /* 11 添付4     */
 , ATTACH5      VARCHAR2 (  256 )                                       /* 12 添付5     */
 , UNIQ         NUMBER   (    9 )       DEFAULT 0   NOT NULL            /* 13 ﾕﾆｰｸｷｰ    */
 , FGJ          VARCHAR2 (    1 )       DEFAULT '1' NOT NULL            /* 14 状態ﾌﾗｸﾞ  */
 , DYSET        VARCHAR2 (   14 )                                       /* 15 登録日時  */
 , PGSET        VARCHAR2 (   10 )                                       /* 16 作成PG    */
 , PGPSET       VARCHAR2 (   10 )                                       /* 17 作成親PG  */
 , USRSET       VARCHAR2 (   10 )                                       /* 18 作成社員  */
 , DYUPD        VARCHAR2 (   14 )                                       /* 19 更新日時  */
 , PGUPD        VARCHAR2 (   10 )                                       /* 20 更新PG    */
 , PGPUPD       VARCHAR2 (   10 )                                       /* 21 更新親PG  */
 , USRUPD       VARCHAR2 (   10 )                                       /* 22 更新者    */
)
TABLESPACE GFTBL01
STORAGE( INITIAL 16K );


CREATE SEQUENCE GE32S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GE32T00 
  BEFORE INSERT ON GE32
  FOR EACH ROW 
  BEGIN 
    SELECT GE32S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
