/****************************************************************************/
/* GE70 ( 取込要求ﾃｰﾌﾞﾙ )                                                   */
/*                                                                          */
/* Created : 2021/06/29 13:32:29                                            */
/****************************************************************************/

CREATE TABLE GE70 (
   SYSTEM_ID        VARCHAR2 (   10 )                   NOT NULL            /*  1 ｼｽﾃﾑID            */
 , RSRV_NO          NUMBER   (    3 )                   NOT NULL            /*  2 予約番号          */
 , NAME_JA          VARCHAR2 (  200 )                                       /*  3 名称              */
 , EXECID           VARCHAR2 (   20 )                   NOT NULL            /*  4 処理ID            */
 , FGYKAN           VARCHAR2 (    1 )       DEFAULT '2' NOT NULL            /*  5 取込予約ﾌﾗｸﾞ      */
 , DIR_BASE         VARCHAR2 (  200 )                                       /*  6 取込ﾍﾞｰｽﾌｫﾙﾀﾞ     */
 , DIR_SUB          VARCHAR2 (  200 )                                       /*  7 取込ｻﾌﾞﾌｫﾙﾀﾞ      */
 , DIR_WORK         VARCHAR2 (  200 )                                       /*  8 処理ﾌｫﾙﾀﾞ(WORK)   */
 , DIR_BKUP_OK      VARCHAR2 (  200 )                                       /*  9 処理済ﾌｫﾙﾀﾞ(正常) */
 , DIR_BKUP_NG      VARCHAR2 (  200 )                                       /* 10 処理済ﾌｫﾙﾀﾞ(異常) */
 , FILE_FILTER      VARCHAR2 ( 4000 )                                       /* 11 検索条件          */
 , RELEASE_NOTES    VARCHAR2 (  120 )                                       /* 12 ﾘﾘｰｽﾉｰﾄ           */
 , RDC_CODE         VARCHAR2 (   20 )                                       /* 13 設変番号          */
 , UNIQ             NUMBER   (    9 )       DEFAULT 0   NOT NULL            /* 14 ﾕﾆｰｸｷｰ            */
 , FGJ              VARCHAR2 (    1 )       DEFAULT '1' NOT NULL            /* 15 状態ﾌﾗｸﾞ          */
 , DYSET            VARCHAR2 (   14 )                                       /* 16 登録日時          */
 , PGSET            VARCHAR2 (   10 )                                       /* 17 作成PG            */
 , PGPSET           VARCHAR2 (   10 )                                       /* 18 作成親PG          */
 , USRSET           VARCHAR2 (   10 )                                       /* 19 作成社員          */
 , DYUPD            VARCHAR2 (   14 )                                       /* 20 更新日時          */
 , PGUPD            VARCHAR2 (   10 )                                       /* 21 更新PG            */
 , PGPUPD           VARCHAR2 (   10 )                                       /* 22 更新親PG          */
 , USRUPD           VARCHAR2 (   10 )                                       /* 23 更新者            */
)
TABLESPACE GFTBL01
STORAGE( INITIAL 16K );


CREATE SEQUENCE GE70S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GE70T00 
  BEFORE INSERT ON GE70
  FOR EACH ROW 
  BEGIN 
    SELECT GE70S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
