/****************************************************************************/
/* GE71 ( 取込実績ﾃｰﾌﾞﾙ )                                                   */
/*                                                                          */
/* Created : 2021/06/29 13:32:29                                            */
/****************************************************************************/

CREATE TABLE GE71 (
   SYSTEM_ID    VARCHAR2 (   10 )                   NOT NULL            /*  1 ｼｽﾃﾑID        */
 , RSRV_NO      NUMBER   (    3 )                   NOT NULL            /*  2 予約番号      */
 , EXECID       VARCHAR2 (   20 )                   NOT NULL            /*  3 処理ID        */
 , FGTKAN       VARCHAR2 (    1 )       DEFAULT '2' NOT NULL            /*  4 取込完了ﾌﾗｸﾞ  */
 , TMSTR        VARCHAR2 (   14 )                   NOT NULL            /*  5 開始時刻      */
 , TMEND        VARCHAR2 (   14 )                                       /*  6 完了時刻      */
 , FILE_IN      VARCHAR2 (  255 )                                       /*  7 ﾌｧｲﾙ取込      */
 , FILE_OK      VARCHAR2 (  255 )                                       /*  8 処理済OKﾌｧｲﾙ  */
 , FILE_NG      VARCHAR2 (  255 )                                       /*  9 処理済NGﾌｧｲﾙ  */
 , SUTORI       NUMBER   (    9 )                   NOT NULL            /* 10 取込件数      */
 , ERRMSG       VARCHAR2 ( 4000 )                                       /* 11 ｴﾗｰﾒｯｾｰｼﾞ     */
 , UNIQ         NUMBER   (    9 )       DEFAULT 0   NOT NULL            /* 12 ﾕﾆｰｸｷｰ        */
 , FGJ          VARCHAR2 (    1 )       DEFAULT '1' NOT NULL            /* 13 状態ﾌﾗｸﾞ      */
 , DYSET        VARCHAR2 (   14 )                                       /* 14 登録日時      */
 , PGSET        VARCHAR2 (   10 )                                       /* 15 作成PG        */
 , PGPSET       VARCHAR2 (   10 )                                       /* 16 作成親PG      */
 , USRSET       VARCHAR2 (   10 )                                       /* 17 作成者        */
 , DYUPD        VARCHAR2 (   14 )                                       /* 18 更新日時      */
 , PGUPD        VARCHAR2 (   10 )                                       /* 19 更新PG        */
 , PGPUPD       VARCHAR2 (   10 )                                       /* 20 更新親PG      */
 , USRUPD       VARCHAR2 (   10 )                                       /* 21 更新者        */
)
TABLESPACE GFTBL01
STORAGE( INITIAL 16K );


CREATE SEQUENCE GE71S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GE71T00 
  BEFORE INSERT ON GE71
  FOR EACH ROW 
  BEGIN 
    SELECT GE71S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
