/****************************************************************************/
/* GEA04 ( ｺｰﾄﾞ定義 )                                                       */
/*                                                                          */
/* Created : 2021/06/29 13:32:29                                            */
/****************************************************************************/

CREATE TABLE GEA04 (
   SYSTEM_ID        VARCHAR2 (   10 )                   NOT NULL            /*  1 ｼｽﾃﾑID        */
 , CLM              VARCHAR2 (   50 )                   NOT NULL            /*  2 項目          */
 , CODE             VARCHAR2 (   30 )                   NOT NULL            /*  3 ｺｰﾄﾞ          */
 , SEQNO            NUMBER   (    7 )       DEFAULT 0   NOT NULL            /*  4 表示順        */
 , CDKH             VARCHAR2 (    1 )                                       /*  5 改廃ｺｰﾄﾞ      */
 , KBSAKU           VARCHAR2 (    1 )       DEFAULT '1' NOT NULL            /*  6 作成区分      */
 , RELEASE_NOTES    VARCHAR2 (  120 )                                       /*  7 ﾘﾘｰｽﾉｰﾄ       */
 , RDC_CODE         VARCHAR2 (   20 )                                       /*  8 設変番号      */
 , CODEGRP          VARCHAR2 (   20 )                                       /*  9 ｺｰﾄﾞｸﾞﾙｰﾌﾟ    */
 , COMMENTS         VARCHAR2 (  500 )                                       /* 10 ｺﾒﾝﾄ          */
 , CODELVL          VARCHAR2 (    1 )       DEFAULT '1' NOT NULL            /* 11 階層          */
 , CODE_PARAM       VARCHAR2 (  200 )                                       /* 12 ｺｰﾄﾞﾊﾟﾗﾒｰﾀ    */
 , ROLES            VARCHAR2 ( 2000 )                                       /* 13 ﾛｰﾙｽﾞ         */
 , UNIQ             NUMBER   (    9 )       DEFAULT 0   NOT NULL            /* 14 ﾕﾆｰｸｷｰ        */
 , FGJ              VARCHAR2 (    1 )       DEFAULT '1' NOT NULL            /* 15 状態ﾌﾗｸﾞ      */
 , DYSET            VARCHAR2 (   14 )                                       /* 16 登録日時      */
 , PGSET            VARCHAR2 (   10 )                                       /* 17 作成PG        */
 , PGPSET           VARCHAR2 (   10 )                                       /* 18 作成親PG      */
 , USRSET           VARCHAR2 (   10 )                                       /* 19 作成社員      */
 , DYUPD            VARCHAR2 (   14 )                                       /* 20 更新日時      */
 , PGUPD            VARCHAR2 (   10 )                                       /* 21 更新PG        */
 , PGPUPD           VARCHAR2 (   10 )                                       /* 22 更新親PG      */
 , USRUPD           VARCHAR2 (   10 )                                       /* 23 更新者        */
 , SUBSYS           VARCHAR2 (  200 )                                       /* 24 ｻﾌﾞｼｽﾃﾑ       */
)
TABLESPACE GFTBL01
STORAGE( INITIAL 256K );


CREATE SEQUENCE GEA04S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GEA04T00 
  BEFORE INSERT ON GEA04
  FOR EACH ROW 
  BEGIN 
    SELECT GEA04S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
