/****************************************************************************/
/* GF68 ( ﾘｿｰｽ計画ﾜｰｸ )                                                     */
/*                                                                          */
/* Created : 2021/06/29 14:03:36                                            */
/****************************************************************************/

CREATE TABLE GF68 (
   RESOURCE_ID  NUMBER   (   9 )                                        /*  1 ﾘｿｰｽID    */
 , SEQ          NUMBER   (   7 )        DEFAULT 0   NOT NULL            /*  2 順        */
 , DYSTART      VARCHAR2 (  14 )                                        /*  3 開始日    */
 , DYDELAY      NUMBER   ( 4,1 )                                        /*  4 開始遅延  */
 , DURATION     NUMBER   ( 4,1 )                                        /*  5 期間      */
 , PRJCODE      VARCHAR2 (  30 )                                        /*  6 PRJｺｰﾄﾞ   */
 , TASK_ID      NUMBER   (   5 )                                        /*  7 ﾀｽｸID     */
 , COMPLETE     NUMBER   (   3 )                                        /*  8 進捗率    */
 , FGTASK       VARCHAR2 (   1 )                                        /*  9 ﾀｽｸ状態F  */
 , VAL1         VARCHAR2 ( 100 )                                        /* 10 属性1     */
 , VAL2         VARCHAR2 ( 100 )                                        /* 11 属性2     */
 , VAL3         VARCHAR2 ( 100 )                                        /* 12 属性3     */
 , VAL4         VARCHAR2 ( 100 )                                        /* 13 属性4     */
 , VAL5         VARCHAR2 ( 100 )                                        /* 14 属性5     */
 , UNIQ         NUMBER   (   9 )        DEFAULT 0   NOT NULL            /* 15 ﾕﾆｰｸｷｰ    */
 , FGJ          VARCHAR2 (   1 )        DEFAULT '1' NOT NULL            /* 16 状態ﾌﾗｸﾞ  */
 , DYSET        VARCHAR2 (  14 )                                        /* 17 登録日時  */
 , PGSET        VARCHAR2 (  10 )                                        /* 18 作成PG    */
 , PGPSET       VARCHAR2 (  10 )                                        /* 19 作成親PG  */
 , USRSET       VARCHAR2 (  10 )                                        /* 20 作成社員  */
 , DYUPD        VARCHAR2 (  14 )                                        /* 21 更新日時  */
 , PGUPD        VARCHAR2 (  10 )                                        /* 22 更新PG    */
 , PGPUPD       VARCHAR2 (  10 )                                        /* 23 更新親PG  */
 , USRUPD       VARCHAR2 (  10 )                                        /* 24 更新者    */
)
TABLESPACE GFTBL01
STORAGE( INITIAL 64K );


CREATE SEQUENCE GF68S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GF68T00 
  BEFORE INSERT ON GF68
  FOR EACH ROW 
  BEGIN 
    SELECT GF68S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
